    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.applet.AppletStub

public interface AppletStub

When an applet is first created, an applet stub is attached to it using the applet's `setStub` method. This stub serves as the interface between the applet and the browser environment or applet viewer environment in which the application is running.

See Also:
  setStub

##

appletResize(int, int)
  Called when the applet wants to be resized.
getAppletContext()
  Gets a handler to the applet's context.
getCodeBase()
  Gets the base URL.
getDocumentBase()
  Gets the document URL.
getParameter(String)
  Returns the value of the named parameter in the HTML tag.
isActive()
  Determines if the applet is active.

##

isActive

     public abstract boolean isActive()

  Determines if the applet is active. An applet is active just before its `start` method is called. It becomes inactive immediately after its `stop` method is called.

  Returns:
    `true` if the applet is active; `false` otherwise.

getDocumentBase

     public abstract URL getDocumentBase()

  Gets the document URL.

  Returns:
    the `URL` of the document containing the applet.

getCodeBase

     public abstract URL getCodeBase()

  Gets the base URL.

  Returns:
    the `URL` of the applet.

getParameter

     public abstract String getParameter(String name)

  Returns the value of the named parameter in the HTML tag. For example, if an applet is specified as
  `<applet code="Clock" width=50 height=50>
  <param name=Color value="blue">
  </applet>`

  then a call to `getParameter("Color")` returns the value `"blue"`.

  Parameters:
    name - a parameter name.
  Returns:
    the value of the named parameter.

getAppletContext

     public abstract AppletContext getAppletContext()

  Gets a handler to the applet's context.

  Returns:
    the applet's context.

appletResize

     public abstract void appletResize(int width,
                                       int height)

  Called when the applet wants to be resized.

  Parameters:
    width - the new requested width for the applet.
    height - the new requested height for the applet.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.